import{s as $t,n as Tt,o as Mt}from"../chunks/scheduler.182ea377.js";import{S as Lt,i as Ht,g as i,s,p as Q,A as It,h as o,f as e,c as r,j as B,q as K,m as l,k as d,v as c,a,r as tt,d as et,t as nt,u as at}from"../chunks/index.008d68e4.js";import{I as Ct}from"../chunks/IconCopyLink.96bbb92b.js";import{C as kt}from"../chunks/CodeBlock.5ed6eb7b.js";function Pt(st){let f,S,h,p,j,g,it,I,rt="Overview",R,b,lt='🤗 Diffusers provides a collection of training scripts for you to train your own diffusion models. You can find all of our training scripts in <a href="https://github.com/huggingface/diffusers/tree/main/examples" rel="nofollow">diffusers/examples</a>.',U,v,dt="Each training script is:",E,x,ft="<li><strong>Self-contained</strong>: the training script does not depend on any local files, and all packages required to run the script are installed from the <code>requirements.txt</code> file.</li> <li><strong>Easy-to-tweak</strong>: the training scripts are an example of how to train a diffusion model for a specific task and won’t work out-of-the-box for every training scenario. You’ll likely need to adapt the training script for your specific use-case. To help you with that, we’ve fully exposed the data preprocessing code and the training loop so you can modify it for your own use.</li> <li><strong>Beginner-friendly</strong>: the training scripts are designed to be beginner-friendly and easy to understand, rather than including the latest state-of-the-art methods to get the best and most competitive results. Any training methods we consider too complex are purposefully left out.</li> <li><strong>Single-purpose</strong>: each training script is expressly designed for only one task to keep it readable and understandable.</li>",J,w,ht="Our current collection of training scripts include:",Z,y,ut='<thead><tr><th>Training</th> <th>SDXL-support</th> <th>LoRA-support</th> <th>Flax-support</th></tr></thead> <tbody><tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/unconditional_image_generation" rel="nofollow">unconditional image generation</a> <a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/training_example.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td> <td></td> <td></td> <td></td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/text_to_image" rel="nofollow">text-to-image</a></td> <td>👍</td> <td>👍</td> <td>👍</td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/textual_inversion" rel="nofollow">textual inversion</a> <a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_textual_inversion_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td> <td></td> <td></td> <td>👍</td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/dreambooth" rel="nofollow">DreamBooth</a> <a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_dreambooth_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td> <td>👍</td> <td>👍</td> <td>👍</td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/controlnet" rel="nofollow">ControlNet</a></td> <td>👍</td> <td></td> <td>👍</td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/instruct_pix2pix" rel="nofollow">InstructPix2Pix</a></td> <td>👍</td> <td></td> <td></td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/custom_diffusion" rel="nofollow">Custom Diffusion</a></td> <td></td> <td></td> <td></td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/t2i_adapter" rel="nofollow">T2I-Adapters</a></td> <td>👍</td> <td></td> <td></td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/kandinsky2_2/text_to_image" rel="nofollow">Kandinsky 2.2</a></td> <td></td> <td>👍</td> <td></td></tr> <tr><td><a href="https://github.com/huggingface/diffusers/tree/main/examples/wuerstchen/text_to_image" rel="nofollow">Wuerstchen</a></td> <td></td> <td>👍</td> <td></td></tr></tbody>',q,_,ct='These examples are <strong>actively</strong> maintained, so please feel free to open an issue if they aren’t working as expected. If you feel like another training example should be included, you’re more than welcome to start a <a href="https://github.com/huggingface/diffusers/issues/new?assignees=&amp;labels=&amp;template=feature_request.md&amp;title=" rel="nofollow">Feature Request</a> to discuss your feature idea with us and whether it meets our criteria of being self-contained, easy-to-tweak, beginner-friendly, and single-purpose.',F,u,m,A,C,ot,P,pt="Install",W,k,mt="Make sure you can successfully run the latest versions of the example scripts by installing the library from source in a new virtual environment:",X,$,G,T,gt='Then navigate to the folder of the training script (for example, <a href="https://github.com/huggingface/diffusers/tree/main/examples/dreambooth" rel="nofollow">DreamBooth</a>) and install the <code>requirements.txt</code> file. Some training scripts have a specific requirement file for SDXL, LoRA or Flax. If you’re using one of these scripts, make sure you install its corresponding requirements file.',z,M,N,L,bt="To speedup training and reduce memory-usage, we recommend:",D,H,vt='<li>using PyTorch 2.0 or higher to automatically use <a href="../optimization/torch2.0#scaled-dot-product-attention">scaled dot product attention</a> during training (you don’t need to make any changes to the training code)</li> <li>installing <a href="../optimization/xformers">xFormers</a> to enable memory-efficient attention</li>',Y;return g=new Ct({}),C=new Ct({}),$=new kt({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZodWdnaW5nZmFjZSUyRmRpZmZ1c2VycyUwQWNkJTIwZGlmZnVzZXJzJTBBcGlwJTIwaW5zdGFsbCUyMC4=",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/huggingface/diffusers
<span class="hljs-built_in">cd</span> diffusers
pip install .`}}),M=new kt({props:{code:"Y2QlMjBleGFtcGxlcyUyRmRyZWFtYm9vdGglMEFwaXAlMjBpbnN0YWxsJTIwLXIlMjByZXF1aXJlbWVudHMudHh0JTBBJTIzJTIwdG8lMjB0cmFpbiUyMFNEWEwlMjB3aXRoJTIwRHJlYW1Cb290aCUwQXBpcCUyMGluc3RhbGwlMjAtciUyMHJlcXVpcmVtZW50c19zZHhsLnR4dA==",highlighted:`<span class="hljs-built_in">cd</span> examples/dreambooth
pip install -r requirements.txt
<span class="hljs-comment"># to train SDXL with DreamBooth</span>
pip install -r requirements_sdxl.txt`}}),{c(){f=i("meta"),S=s(),h=i("h1"),p=i("a"),j=i("span"),Q(g.$$.fragment),it=s(),I=i("span"),I.textContent=rt,R=s(),b=i("p"),b.innerHTML=lt,U=s(),v=i("p"),v.textContent=dt,E=s(),x=i("ul"),x.innerHTML=ft,J=s(),w=i("p"),w.textContent=ht,Z=s(),y=i("table"),y.innerHTML=ut,q=s(),_=i("p"),_.innerHTML=ct,F=s(),u=i("h2"),m=i("a"),A=i("span"),Q(C.$$.fragment),ot=s(),P=i("span"),P.textContent=pt,W=s(),k=i("p"),k.textContent=mt,X=s(),Q($.$$.fragment),G=s(),T=i("p"),T.innerHTML=gt,z=s(),Q(M.$$.fragment),N=s(),L=i("p"),L.textContent=bt,D=s(),H=i("ul"),H.innerHTML=vt,this.h()},l(t){const n=It("svelte-1phssyn",document.head);f=o(n,"META",{name:!0,content:!0}),n.forEach(e),S=r(t),h=o(t,"H1",{class:!0});var O=B(h);p=o(O,"A",{id:!0,class:!0,href:!0});var xt=B(p);j=o(xt,"SPAN",{});var wt=B(j);K(g.$$.fragment,wt),wt.forEach(e),xt.forEach(e),it=r(O),I=o(O,"SPAN",{"data-svelte-h":!0}),l(I)!=="svelte-1jsw1pg"&&(I.textContent=rt),O.forEach(e),R=r(t),b=o(t,"P",{"data-svelte-h":!0}),l(b)!=="svelte-odg5wz"&&(b.innerHTML=lt),U=r(t),v=o(t,"P",{"data-svelte-h":!0}),l(v)!=="svelte-1l5xx5e"&&(v.textContent=dt),E=r(t),x=o(t,"UL",{"data-svelte-h":!0}),l(x)!=="svelte-17s4x4c"&&(x.innerHTML=ft),J=r(t),w=o(t,"P",{"data-svelte-h":!0}),l(w)!=="svelte-1yvg5e"&&(w.textContent=ht),Z=r(t),y=o(t,"TABLE",{"data-svelte-h":!0}),l(y)!=="svelte-cok55p"&&(y.innerHTML=ut),q=r(t),_=o(t,"P",{"data-svelte-h":!0}),l(_)!=="svelte-n03e9a"&&(_.innerHTML=ct),F=r(t),u=o(t,"H2",{class:!0});var V=B(u);m=o(V,"A",{id:!0,class:!0,href:!0});var yt=B(m);A=o(yt,"SPAN",{});var _t=B(A);K(C.$$.fragment,_t),_t.forEach(e),yt.forEach(e),ot=r(V),P=o(V,"SPAN",{"data-svelte-h":!0}),l(P)!=="svelte-8jw5v4"&&(P.textContent=pt),V.forEach(e),W=r(t),k=o(t,"P",{"data-svelte-h":!0}),l(k)!=="svelte-1uukpq2"&&(k.textContent=mt),X=r(t),K($.$$.fragment,t),G=r(t),T=o(t,"P",{"data-svelte-h":!0}),l(T)!=="svelte-gld5li"&&(T.innerHTML=gt),z=r(t),K(M.$$.fragment,t),N=r(t),L=o(t,"P",{"data-svelte-h":!0}),l(L)!=="svelte-1fce6dt"&&(L.textContent=bt),D=r(t),H=o(t,"UL",{"data-svelte-h":!0}),l(H)!=="svelte-aa6btk"&&(H.innerHTML=vt),this.h()},h(){d(f,"name","hf:doc:metadata"),d(f,"content",JSON.stringify(Bt)),d(p,"id","overview"),d(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(p,"href","#overview"),d(h,"class","relative group"),d(m,"id","install"),d(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(m,"href","#install"),d(u,"class","relative group")},m(t,n){c(document.head,f),a(t,S,n),a(t,h,n),c(h,p),c(p,j),tt(g,j,null),c(h,it),c(h,I),a(t,R,n),a(t,b,n),a(t,U,n),a(t,v,n),a(t,E,n),a(t,x,n),a(t,J,n),a(t,w,n),a(t,Z,n),a(t,y,n),a(t,q,n),a(t,_,n),a(t,F,n),a(t,u,n),c(u,m),c(m,A),tt(C,A,null),c(u,ot),c(u,P),a(t,W,n),a(t,k,n),a(t,X,n),tt($,t,n),a(t,G,n),a(t,T,n),a(t,z,n),tt(M,t,n),a(t,N,n),a(t,L,n),a(t,D,n),a(t,H,n),Y=!0},p:Tt,i(t){Y||(et(g.$$.fragment,t),et(C.$$.fragment,t),et($.$$.fragment,t),et(M.$$.fragment,t),Y=!0)},o(t){nt(g.$$.fragment,t),nt(C.$$.fragment,t),nt($.$$.fragment,t),nt(M.$$.fragment,t),Y=!1},d(t){t&&(e(S),e(h),e(R),e(b),e(U),e(v),e(E),e(x),e(J),e(w),e(Z),e(y),e(q),e(_),e(F),e(u),e(W),e(k),e(X),e(G),e(T),e(z),e(N),e(L),e(D),e(H)),e(f),at(g),at(C),at($,t),at(M,t)}}}const Bt={local:"overview",sections:[{local:"install",title:"Install"}],title:"Overview"};function jt(st){return Mt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends Lt{constructor(f){super(),Ht(this,f,jt,Pt,$t,{})}}export{Et as component};
