import{s as fe,n as ge,o as _e}from"../chunks/scheduler.182ea377.js";import{S as ve,i as ye,g as n,s as i,p as N,A as $e,h as r,f as t,c as d,j as m,q as H,m as k,k as c,v as s,a as l,r as I,d as M,t as O,u as q}from"../chunks/index.008d68e4.js";import{D as se}from"../chunks/Docstring.7aec8b85.js";import{I as me}from"../chunks/IconCopyLink.96bbb92b.js";function Ce(ne){let u,V,h,f,L,y,Q,w,re="ConsistencyDecoderScheduler",U,$,oe='This scheduler is a part of the <code>ConsistencyDecoderPipeline</code> and was introduced in <a href="https://openai.com/dall-e-3" rel="nofollow">DALL-E 3</a>.',j,C,ce='The original codebase can be found at <a href="https://github.com/openai/consistency_models" rel="nofollow">openai/consistency_models</a>.',G,p,g,F,b,X,T,ae="ConsistencyDecoderScheduler",J,a,x,Y,_,D,Z,E,ie=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,ee,v,S,te,P,de=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,R;return y=new me({}),b=new me({}),x=new se({props:{name:"class diffusers.schedulers.ConsistencyDecoderScheduler",anchor:"diffusers.schedulers.ConsistencyDecoderScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1024"},{name:"sigma_data",val:": float = 0.5"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_consistency_decoder.py#L72"}}),D=new se({props:{name:"scale_model_input",anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_consistency_decoder.py#L116",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),S=new se({props:{name:"step",anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": Union"},{name:"sample",val:": FloatTensor"},{name:"generator",val:": Optional = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.schedulers.ConsistencyDecoderScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a
<code>~schedulers.scheduling_consistency_models.ConsistencyDecoderSchedulerOutput</code> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_consistency_decoder.py#L133",returnDescription:`
<p>If return_dict is <code>True</code>,
<code>~schedulers.scheduling_consistency_models.ConsistencyDecoderSchedulerOutput</code> is returned, otherwise
a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><code>~schedulers.scheduling_consistency_models.ConsistencyDecoderSchedulerOutput</code> or <code>tuple</code></p>
`}}),{c(){u=n("meta"),V=i(),h=n("h1"),f=n("a"),L=n("span"),N(y.$$.fragment),Q=i(),w=n("span"),w.textContent=re,U=i(),$=n("p"),$.innerHTML=oe,j=i(),C=n("p"),C.innerHTML=ce,G=i(),p=n("h2"),g=n("a"),F=n("span"),N(b.$$.fragment),X=i(),T=n("span"),T.textContent=ae,J=i(),a=n("div"),N(x.$$.fragment),Y=i(),_=n("div"),N(D.$$.fragment),Z=i(),E=n("p"),E.textContent=ie,ee=i(),v=n("div"),N(S.$$.fragment),te=i(),P=n("p"),P.textContent=de,this.h()},l(e){const o=$e("svelte-1phssyn",document.head);u=r(o,"META",{name:!0,content:!0}),o.forEach(t),V=d(e),h=r(e,"H1",{class:!0});var W=m(h);f=r(W,"A",{id:!0,class:!0,href:!0});var le=m(f);L=r(le,"SPAN",{});var ue=m(L);H(y.$$.fragment,ue),ue.forEach(t),le.forEach(t),Q=d(W),w=r(W,"SPAN",{"data-svelte-h":!0}),k(w)!=="svelte-1rakqxe"&&(w.textContent=re),W.forEach(t),U=d(e),$=r(e,"P",{"data-svelte-h":!0}),k($)!=="svelte-134dxf"&&($.innerHTML=oe),j=d(e),C=r(e,"P",{"data-svelte-h":!0}),k(C)!=="svelte-1ci2nab"&&(C.innerHTML=ce),G=d(e),p=r(e,"H2",{class:!0});var z=m(p);g=r(z,"A",{id:!0,class:!0,href:!0});var he=m(g);F=r(he,"SPAN",{});var pe=m(F);H(b.$$.fragment,pe),pe.forEach(t),he.forEach(t),X=d(z),T=r(z,"SPAN",{"data-svelte-h":!0}),k(T)!=="svelte-1rakqxe"&&(T.textContent=ae),z.forEach(t),J=d(e),a=r(e,"DIV",{class:!0});var A=m(a);H(x.$$.fragment,A),Y=d(A),_=r(A,"DIV",{class:!0});var B=m(_);H(D.$$.fragment,B),Z=d(B),E=r(B,"P",{"data-svelte-h":!0}),k(E)!=="svelte-1rkfgpx"&&(E.textContent=ie),B.forEach(t),ee=d(A),v=r(A,"DIV",{class:!0});var K=m(v);H(S.$$.fragment,K),te=d(K),P=r(K,"P",{"data-svelte-h":!0}),k(P)!=="svelte-hi84tp"&&(P.textContent=de),K.forEach(t),A.forEach(t),this.h()},h(){c(u,"name","hf:doc:metadata"),c(u,"content",JSON.stringify(be)),c(f,"id","consistencydecoderscheduler"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#consistencydecoderscheduler"),c(h,"class","relative group"),c(g,"id","diffusers.schedulers.ConsistencyDecoderScheduler"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#diffusers.schedulers.ConsistencyDecoderScheduler"),c(p,"class","relative group"),c(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){s(document.head,u),l(e,V,o),l(e,h,o),s(h,f),s(f,L),I(y,L,null),s(h,Q),s(h,w),l(e,U,o),l(e,$,o),l(e,j,o),l(e,C,o),l(e,G,o),l(e,p,o),s(p,g),s(g,F),I(b,F,null),s(p,X),s(p,T),l(e,J,o),l(e,a,o),I(x,a,null),s(a,Y),s(a,_),I(D,_,null),s(_,Z),s(_,E),s(a,ee),s(a,v),I(S,v,null),s(v,te),s(v,P),R=!0},p:ge,i(e){R||(M(y.$$.fragment,e),M(b.$$.fragment,e),M(x.$$.fragment,e),M(D.$$.fragment,e),M(S.$$.fragment,e),R=!0)},o(e){O(y.$$.fragment,e),O(b.$$.fragment,e),O(x.$$.fragment,e),O(D.$$.fragment,e),O(S.$$.fragment,e),R=!1},d(e){e&&(t(V),t(h),t(U),t($),t(j),t(C),t(G),t(p),t(J),t(a)),t(u),q(y),q(b),q(x),q(D),q(S)}}}const be={local:"consistencydecoderscheduler",sections:[{local:"diffusers.schedulers.ConsistencyDecoderScheduler",title:"ConsistencyDecoderScheduler"}],title:"ConsistencyDecoderScheduler"};function xe(ne){return _e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ee extends ve{constructor(u){super(),ye(this,u,xe,Ce,fe,{})}}export{Ee as component};
